(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10327,        320]
NotebookOptionsPosition[     10033,        306]
NotebookOutlinePosition[     10414,        322]
CellTagsIndexPosition[     10371,        319]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "+", 
    RowBox[{
     FractionBox["7", "10"], "*", 
     SuperscriptBox["t", "2"]}], "+", 
    RowBox[{
     FractionBox["7", "10"], "*", 
     SuperscriptBox["t", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plr", "=", 
   RowBox[{"{", 
    RowBox[{"Automatic", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.1"}], ",", 
       RowBox[{
        RowBox[{"f", "[", "t2", "]"}], "+", "0.5"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"f", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t1", ",", "t2"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<f[t]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "plr"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intZcelaSpravne", "=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"f", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"numerickySpravne", "=", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"f", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", ":=", 
   FractionBox[
    RowBox[{"t2", "-", "t1"}], 
    RowBox[{"n", "-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tecka", ":=", 
   RowBox[{"Range", "[", 
    RowBox[{"t1", ",", "t2", ",", "\[CapitalDelta]t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"funkcniHodnotyDolni", ":=", 
   RowBox[{"N", "@", 
    RowBox[{"(", 
     RowBox[{"f", "/@", 
      RowBox[{"Take", "[", 
       RowBox[{"tecka", ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"funkcniHodnotyHorni", ":=", 
   RowBox[{"N", "@", 
    RowBox[{"(", 
     RowBox[{"f", "/@", 
      RowBox[{"(", 
       RowBox[{"\[CapitalDelta]t", "+", 
        RowBox[{"Take", "[", 
         RowBox[{"tecka", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"funkcniHodnotyStred", ":=", 
   RowBox[{"f", "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"0.5", "*", "\[CapitalDelta]t"}], "+", 
      RowBox[{"Take", "[", 
       RowBox[{"tecka", ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intDolni", ":=", 
   RowBox[{"\[CapitalDelta]t", "*", 
    RowBox[{"Plus", "@@", "funkcniHodnotyDolni"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intHorni", ":=", 
   RowBox[{"\[CapitalDelta]t", "*", 
    RowBox[{"Plus", "@@", "funkcniHodnotyHorni"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"intStred", ":=", 
    RowBox[{"\[CapitalDelta]t", "*", 
     RowBox[{"Plus", "@@", "funkcniHodnotyStred"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"iS", "[", "deleni_", "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", "deleni"}], "}"}], ",", "intStred"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"iD", "[", "deleni_", "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", "deleni"}], "}"}], ",", "intDolni"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"iH", "[", "deleni_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n", "=", "deleni"}], "}"}], ",", "intHorni"}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n1", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nmax", "=", "540"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deleniN", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"podil", "=", 
   RowBox[{"N", "[", 
    RadicalBox[
     FractionBox["nmax", "n1"], "deleniN"], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"enka", "=", 
   RowBox[{
    RowBox[{"Round", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"n1", "*", 
        SuperscriptBox["podil", "#"]}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "deleniN"}], "]"}]}], "]"}], "//", "Union"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plS", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"iS", "[", "#", "]"}]}], "}"}], "&"}], "/@", "enka"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<deleni\>\"", ",", "\"\<int\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<\!\(\*
StyleBox[\"Stredn\",
FontColor->RGBColor[0, 0, 1]]\)i, \!\(\*
StyleBox[\"Dolni\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\), \!\(\*
StyleBox[\"Horni\",
FontColor->RGBColor[0, 1, 0]]\)\>\""}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Blue"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plD", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"iD", "[", "#", "]"}]}], "}"}], "&"}], "/@", "enka"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<deleni\>\"", ",", "\"\<int\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<\!\(\*
StyleBox[\"Stredn\",
FontColor->RGBColor[0, 0, 1]]\)i, \!\(\*
StyleBox[\"Dolni\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\), \!\(\*
StyleBox[\"Horni\",
FontColor->RGBColor[0, 1, 0]]\)\>\""}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "0", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plH", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"iH", "[", "#", "]"}]}], "}"}], "&"}], "/@", "enka"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<deleni\>\"", ",", "\"\<int\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<\!\(\*
StyleBox[\"Stredn\",
FontColor->RGBColor[0, 0, 1]]\)i, \!\(\*
StyleBox[\"Dolni\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\), \!\(\*
StyleBox[\"Horni\",
FontColor->RGBColor[0, 1, 0]]\)\>\""}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Green"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spravne", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", "intZcelaSpravne"}], "}"}], "&"}], "/@", "enka"}], 
     ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<deleni\>\"", ",", "\"\<int\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<\!\(\*
StyleBox[\"Stredn\",
FontColor->RGBColor[0, 0, 1]]\)i, \!\(\*
StyleBox[\"Dolni\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\), \!\(\*
StyleBox[\"Horni\",
FontColor->RGBColor[0, 1, 0]]\)\>\""}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"plS", ",", "plD", ",", "plH", ",", "spravne", ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"{", 
        RowBox[{"5.4", ",", "6.4"}], "}"}]}], "}"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plS", ",", "plD", ",", "plH", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"5.4", ",", "6.4"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.495038938390625*^9, 3.495038946453125*^9}, {
  3.4950390030625*^9, 3.495039006875*^9}, {3.495039084546875*^9, 
  3.4950392211875*^9}, {3.49503927453125*^9, 3.49503934365625*^9}, {
  3.495039380046875*^9, 3.49503939496875*^9}, {3.495039517375*^9, 
  3.495039549640625*^9}, {3.495039692328125*^9, 3.495039757546875*^9}, {
  3.4950398925625*^9, 3.495040211375*^9}, {3.495040249609375*^9, 
  3.4950404143125*^9}, {3.4950404575*^9, 3.495040660734375*^9}, {
  3.49504165034375*^9, 3.495041658921875*^9}, {3.495042310984375*^9, 
  3.49504240528125*^9}, {3.4950424453125*^9, 3.495042445578125*^9}, {
  3.495042511078125*^9, 3.495042548828125*^9}, {3.495042593875*^9, 
  3.495042595453125*^9}, {3.495042639296875*^9, 3.495042749859375*^9}}]
},
WindowSize->{1042, 559},
WindowMargins->{{6, Automatic}, {Automatic, 11}},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 9484, 284, 1225, "Input"]
}
]
*)

(* End of internal cache information *)
