(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23681,        570]
NotebookOptionsPosition[     23387,        556]
NotebookOutlinePosition[     23767,        572]
CellTagsIndexPosition[     23724,        569]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{" ", 
    RowBox[{"Simpson", " ", "by", " ", "Lukas", " ", 
     RowBox[{"Hrbek", " ", ":", "-"}]}], ")"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "t_", "]"}], ":=", 
     RowBox[{"t", "+", 
      RowBox[{
       FractionBox["7", "10"], "*", 
       SuperscriptBox["t", "2"]}], "+", 
      RowBox[{
       FractionBox["7", "10"], "*", 
       SuperscriptBox["t", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t2", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plr", "=", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.1"}], ",", 
         RowBox[{
          RowBox[{"f", "[", "t2", "]"}], "+", "0.5"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl1", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "t1", ",", "t2"}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t\>\"", ",", "\"\<f[t]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "plr"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"intZcelaSpravne", "=", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"numerickySpravne", "=", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n0", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nmax", "=", "21"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CapitalDelta]t", "=", 
       FractionBox[
        RowBox[{"t2", "-", "t1"}], 
        RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"tecka", "=", 
       RowBox[{"Range", "[", 
        RowBox[{"t1", ",", "t2", ",", "\[CapitalDelta]t"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"efka", "=", 
       RowBox[{"f", "@", "tecka"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"obdelnikyDolni", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Brown", ",", 
            RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"#", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
                RowBox[{"f", "[", "#", "]"}]}], "}"}]}], "]"}]}], "}"}], 
          "]"}], "&"}], "/@", 
        RowBox[{"Take", "[", 
         RowBox[{"tecka", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"lines", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"#", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"#", ",", 
                 RowBox[{"f", "[", "#", "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], "]"}], "&"}], "/@", "tecka"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"bodyt", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Hue", "[", "0", "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@",
         "tecka"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"plDolni", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"pl1", ",", "obdelnikyDolni", ",", "lines", ",", "bodyt", ",", 
         RowBox[{"PlotRange", "\[Rule]", "plr"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"obdelnikyHorni", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Orange", ",", 
            RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"#", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
                RowBox[{"f", "[", 
                 RowBox[{"#", "+", "\[CapitalDelta]t"}], "]"}]}], "}"}]}], 
             "]"}]}], "}"}], "]"}], "&"}], "/@", 
        RowBox[{"Take", "[", 
         RowBox[{"tecka", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"obdelnikyStred", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", 
            RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
            RowBox[{"Rectangle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"#", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"#", "+", "\[CapitalDelta]t"}], ",", 
                RowBox[{"f", "[", 
                 RowBox[{"#", "+", 
                  RowBox[{"0.5", "\[CapitalDelta]t"}]}], "]"}]}], "}"}]}], 
             "]"}]}], "}"}], "]"}], "&"}], "/@", 
        RowBox[{"Take", "[", 
         RowBox[{"tecka", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"plHorni", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"pl1", ",", "obdelnikyHorni", ",", "lines", ",", "bodyt"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"bodyStred", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Hue", "[", "0", "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"t1", "+", 
           RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
          RowBox[{"t2", "-", 
           RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", "\[CapitalDelta]t"}], 
         "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"linesStred", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"#", "+", 
                  RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", "0"}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"#", "+", 
                  RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
                 RowBox[{"f", "[", 
                  RowBox[{"#", "+", 
                   RowBox[{"0.5", "\[CapitalDelta]t"}]}], "]"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}], "]"}], "&"}], "/@", "tecka"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"plStred", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
        "pl1", ",", "obdelnikyStred", ",", "linesStred", ",", "bodyStred"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "nalezen\[IAcute]", " ", "parabol", " ", "v", " ", "intervalech"}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"grafSimpson", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Ap", "*", 
               RowBox[{"t", "^", "2"}]}], "+", 
              RowBox[{"Bp", "*", "t"}], "+", "Cp"}], "}"}], "/.", 
            RowBox[{"Solve", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Ap", "*", 
                   RowBox[{"#", "^", "2"}]}], "+", 
                  RowBox[{"Bp", "*", "#"}], "+", "Cp"}], "\[Equal]", 
                 RowBox[{"f", "[", "#", "]"}]}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ap", "*", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "+", "\[CapitalDelta]t"}], ")"}], "^", 
                    "2"}]}], "+", 
                  RowBox[{"Bp", "*", 
                   RowBox[{"(", 
                    RowBox[{"#", "+", "\[CapitalDelta]t"}], ")"}]}], "+", 
                  "Cp"}], "\[Equal]", 
                 RowBox[{"f", "[", 
                  RowBox[{"#", "+", "\[CapitalDelta]t"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ap", "*", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "+", 
                    RowBox[{"2", "*", "\[CapitalDelta]t"}]}], ")"}], "^", 
                    "2"}]}], "+", 
                  RowBox[{"Bp", "*", 
                   RowBox[{"(", 
                    RowBox[{"#", "+", 
                    RowBox[{"2", "*", "\[CapitalDelta]t"}]}], ")"}]}], "+", 
                  "Cp"}], "\[Equal]", 
                 RowBox[{"f", "[", 
                  RowBox[{"#", "+", 
                   RowBox[{"2", "*", "\[CapitalDelta]t"}]}], "]"}]}]}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{"Ap", ",", "Bp", ",", "Cp"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "#", ",", 
             RowBox[{"#", "+", 
              RowBox[{"2", "*", "\[CapitalDelta]t"}]}]}], "}"}], ",", 
           RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "plr"}]}], "]"}], "&"}], "/@", 
        RowBox[{"Take", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"t1", ",", "t2", ",", 
            RowBox[{"2", "*", "\[CapitalDelta]t"}]}], "]"}], ",", 
          RowBox[{"IntegerPart", "[", 
           RowBox[{"n", "/", "2"}], "]"}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"plSimpson", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"pl1", ",", "grafSimpson", ",", "lines", ",", "bodyt", ",", 
         RowBox[{"PlotRange", "\[Rule]", "plr"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"intDolni", "=", 
       RowBox[{"\[CapitalDelta]t", "*", 
        RowBox[{"Plus", "@@", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"f", "/@", 
            RowBox[{"Range", "[", 
             RowBox[{"t1", ",", 
              RowBox[{"t2", "-", "\[CapitalDelta]t"}], ",", 
              "\[CapitalDelta]t"}], "]"}]}], "]"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"intHorni", "=", 
       RowBox[{"\[CapitalDelta]t", "*", 
        RowBox[{"Plus", "@@", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"f", "/@", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"t1", "+", "\[CapitalDelta]t"}], ",", "t2", ",", 
              "\[CapitalDelta]t"}], "]"}]}], "]"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"intStred", "=", 
       RowBox[{"\[CapitalDelta]t", "*", 
        RowBox[{"Plus", "@@", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"f", "/@", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"t1", "+", 
               RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
              RowBox[{"t2", "-", 
               RowBox[{"0.5", "\[CapitalDelta]t"}]}], ",", 
              "\[CapitalDelta]t"}], "]"}]}], "]"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "numerick\[AAcute]", " ", "integrace", " ", "dle", " ", "Simpsona"}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"intSimpson", "=", 
       RowBox[{"Plus", "@@", 
        RowBox[{"(", 
         RowBox[{"N", "[", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[CapitalDelta]t", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"f", "[", "#", "]"}], "+", 
                RowBox[{"f", "[", 
                 RowBox[{"#", "+", 
                  RowBox[{"2", "*", "\[CapitalDelta]t"}]}], "]"}], "+", 
                RowBox[{"4", "*", 
                 RowBox[{"f", "[", 
                  RowBox[{"#", "+", "\[CapitalDelta]t"}], "]"}]}]}], ")"}]}], 
             "3"], "&"}], "/@", 
           RowBox[{"Take", "[", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{"t1", ",", "t2", ",", 
               RowBox[{"2", "*", "\[CapitalDelta]t"}]}], "]"}], ",", 
             RowBox[{"IntegerPart", "[", 
              RowBox[{"n", "/", "2"}], "]"}]}], "]"}]}], "]"}], ")"}]}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"vysSred", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"plStred", ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"\"\<intStred= \>\"", ",", 
            RowBox[{"ToString", "[", "intStred", "]"}], ",", 
            "\"\<,  \[Delta]= \>\"", ",", 
            RowBox[{"ToString", "[", 
             FractionBox[
              RowBox[{"100", 
               RowBox[{"(", 
                RowBox[{"intStred", "-", "numerickySpravne"}], ")"}]}], 
              "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vysDolni", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"plDolni", ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"\"\<intDolni= \>\"", ",", 
            RowBox[{"ToString", "[", "intDolni", "]"}], ",", 
            "\"\<,  \[Delta]= \>\"", ",", 
            RowBox[{"ToString", "[", 
             FractionBox[
              RowBox[{"100", 
               RowBox[{"(", 
                RowBox[{"intDolni", "-", "numerickySpravne"}], ")"}]}], 
              "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vysHorni", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"plHorni", ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"\"\<intHorni= \>\"", ",", 
            RowBox[{"ToString", "[", "intHorni", "]"}], ",", 
            "\"\<,  \[Delta]= \>\"", ",", 
            RowBox[{"ToString", "[", 
             FractionBox[
              RowBox[{"100", 
               RowBox[{"(", 
                RowBox[{"intHorni", "-", "numerickySpravne"}], ")"}]}], 
              "numerickySpravne"], "]"}], ",", "\"\<  %\>\""}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vysSimpson", "=", 
       RowBox[{"Show", "[", 
        RowBox[{"plSimpson", ",", " ", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"\"\<intSimpson= \>\"", ",", 
            RowBox[{"ToString", "[", "intSimpson", "]"}], ",", 
            "\"\<,  \[Delta]= \>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"Round", "[", 
              RowBox[{
               FractionBox[
                RowBox[{"100", 
                 RowBox[{"(", 
                  RowBox[{"intSimpson", "-", "numerickySpravne"}], ")"}]}], 
                "numerickySpravne"], ",", 
               SuperscriptBox["10", 
                RowBox[{"-", "6"}]]}], "]"}], 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "\[SHacek]patn\:011b", " ", "se", " ", "zobrazuje", " ", 
                "chyba"}], "=", 
               SuperscriptBox["10", 
                RowBox[{"-", "13"}]]}], "*)"}], "]"}], ",", "\"\<  %\>\""}], 
           "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vysArray", "=", 
       RowBox[{"GraphicsArray", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "vysDolni", "}"}], ",", 
          RowBox[{"{", "vysHorni", "}"}], ",", 
          RowBox[{"{", "vysSred", "}"}], ",", 
          RowBox[{"{", "vysSimpson", "}"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "vysDolni", ",", "vysHorni", ",", "vysSred", ",", "vysSimpson", ",", 
         "vysArray"}], "}"}], "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "n0"}], "}"}], ",", "n0", ",", "nmax", ",", "2"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "\"\<pripad\>\""}], "}"}], ",", 
       RowBox[{"Range", "[", "5", "]"}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Top", ",", "Top"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.495032864671875*^9, 3.4950329326875*^9}, {
   3.49503303003125*^9, 3.49503304153125*^9}, {3.4950331473125*^9, 
   3.495033201875*^9}, {3.495033246703125*^9, 3.4950332625*^9}, {
   3.4950333243125*^9, 3.495033472453125*^9}, {3.495033508171875*^9, 
   3.49503355815625*^9}, {3.49503382246875*^9, 3.49503394075*^9}, {
   3.49503401409375*^9, 3.495034032765625*^9}, {3.49503414240625*^9, 
   3.495034378421875*^9}, {3.495034454171875*^9, 3.49503456584375*^9}, {
   3.49503462828125*^9, 3.495034638109375*^9}, {3.4950346905625*^9, 
   3.495034791953125*^9}, {3.49503483684375*^9, 3.495034871296875*^9}, {
   3.49503494125*^9, 3.4950349565625*^9}, {3.495035000015625*^9, 
   3.495035061703125*^9}, {3.4950351158125*^9, 3.49503517265625*^9}, {
   3.4950352105625*^9, 3.495035291421875*^9}, 3.4950354515*^9, {
   3.495035522109375*^9, 3.495035652125*^9}, {3.495035685359375*^9, 
   3.495035709015625*^9}, 3.4950359141875*^9, {3.495035969921875*^9, 
   3.495035997203125*^9}, 3.49503637696875*^9, {3.49503644596875*^9, 
   3.495036736296875*^9}, {3.495036891046875*^9, 3.495037020234375*^9}, {
   3.495037064125*^9, 3.495037216359375*^9}, {3.495037305640625*^9, 
   3.4950373515625*^9}, {3.4950373928125*^9, 3.495037402859375*^9}, {
   3.495037514046875*^9, 3.49503755890625*^9}, {3.495037599453125*^9, 
   3.495037619953125*^9}, {3.49503767484375*^9, 3.495037723546875*^9}, {
   3.4950377656875*^9, 3.49503779503125*^9}, {3.49503788846875*^9, 
   3.495037942578125*^9}, {3.49503807775*^9, 3.495038119765625*^9}, {
   3.49503816065625*^9, 3.4950381785*^9}, {3.49503841325*^9, 
   3.495038444328125*^9}, {3.495038486703125*^9, 3.495038489890625*^9}, {
   3.495038524609375*^9, 3.4950385456875*^9}, {3.495038590234375*^9, 
   3.495038591203125*^9}, {3.495038716*^9, 3.4950387548125*^9}, {
   3.49503879246875*^9, 3.495038808*^9}, {3.495383281796875*^9, 
   3.495383337171875*^9}, {3.495383373171875*^9, 3.49538346215625*^9}, {
   3.495383531609375*^9, 3.49538353875*^9}, {3.4953838540625*^9, 
   3.495383911546875*^9}, 3.4953851451875*^9, {3.49538538378125*^9, 
   3.49538542015625*^9}, {3.49538561275*^9, 3.495385613546875*^9}, {
   3.495385659375*^9, 3.49538566153125*^9}, 3.49538569890625*^9, {
   3.495385730046875*^9, 3.495385749046875*^9}, {3.4953857964375*^9, 
   3.495385798578125*^9}, {3.495385837375*^9, 3.49538583840625*^9}, {
   3.495385931796875*^9, 3.495385932328125*^9}, {3.49538596271875*^9, 
   3.495385970171875*^9}, {3.495386027921875*^9, 3.495386069453125*^9}, 
   3.495386107203125*^9, {3.49538649221875*^9, 3.495386531453125*^9}, {
   3.495386713796875*^9, 3.495386714046875*^9}, {3.49538676446875*^9, 
   3.49538679790625*^9}, {3.49538684584375*^9, 3.4953868581875*^9}, {
   3.49538689034375*^9, 3.49538689340625*^9}, {3.495387807421875*^9, 
   3.495387810984375*^9}, 3.49538786525*^9, {3.4953879706875*^9, 
   3.49538800675*^9}, {3.49538805040625*^9, 3.49538815159375*^9}, {
   3.495388671859375*^9, 3.495388679*^9}, {3.495388716375*^9, 
   3.495388731140625*^9}, {3.495388838578125*^9, 3.49538883909375*^9}, {
   3.495388944953125*^9, 3.495388946265625*^9}, {3.4953891394375*^9, 
   3.49538914821875*^9}, {3.495389207859375*^9, 3.495389210828125*^9}, {
   3.495389272609375*^9, 3.495389288078125*^9}, {3.4953894245*^9, 
   3.495389435125*^9}, {3.495389496234375*^9, 3.4953896633125*^9}, {
   3.49538990934375*^9, 3.4953900374375*^9}, {3.495390352390625*^9, 
   3.495390378375*^9}, {3.495390414171875*^9, 3.495390449890625*^9}, {
   3.49539048578125*^9, 3.495390594453125*^9}, {3.4953906755625*^9, 
   3.495390692625*^9}, {3.495391800859375*^9, 3.495391861859375*^9}, {
   3.49539192775*^9, 3.4953919281875*^9}, {3.49539199284375*^9, 
   3.495392051625*^9}, {3.49539208934375*^9, 3.495392103203125*^9}, 
   3.49539215475*^9, 3.495392213109375*^9, {3.495392256265625*^9, 
   3.495392258453125*^9}, {3.495392310640625*^9, 3.495392315984375*^9}, {
   3.495392356359375*^9, 3.495392437796875*^9}, {3.495392474734375*^9, 
   3.495392537765625*^9}, {3.495392681890625*^9, 3.49539280246875*^9}, {
   3.495392868640625*^9, 3.495393011671875*^9}, {3.495393088890625*^9, 
   3.495393161078125*^9}, {3.495393202078125*^9, 3.49539322128125*^9}, {
   3.495393305234375*^9, 3.49539339315625*^9}, {3.495393470859375*^9, 
   3.495393522015625*^9}, 3.495393558421875*^9, 3.4953936003125*^9, 
   3.495393633453125*^9}]
},
WindowSize->{1272, 903},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 22838, 534, 2334, "Input"]
}
]
*)

(* End of internal cache information *)
