(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7857,        249]
NotebookOptionsPosition[      7326,        229]
NotebookOutlinePosition[      7706,        245]
CellTagsIndexPosition[      7663,        242]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"T", ",", "a"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vyr", "=", 
   RowBox[{
    SubscriptBox["a", "0"], "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["a", "i"], "*", 
         RowBox[{"Cos", "[", 
          FractionBox[
           RowBox[{"i", "*", "2", "*", "Pi", "*", "t"}], "T"], "]"}]}], "+", 
        RowBox[{
         SubscriptBox["b", "i"], "*", 
         RowBox[{"Sin", "[", 
          FractionBox[
           RowBox[{"i", "*", "2", "*", "Pi", "*", "t"}], "T"], "]"}]}]}], 
       ")"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"vyr", "*", 
    RowBox[{"Cos", "[", 
     FractionBox[
      RowBox[{"5", "*", "2", "*", "Pi", "*", "t"}], "T"], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"vyr", "*", 
    RowBox[{"Sin", "[", 
     FractionBox[
      RowBox[{"4", "*", "2", "*", "Pi", "*", "t"}], "T"], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.542602675375*^9, 3.5426027165625*^9}, {
  3.5426027501875*^9, 3.54260276265625*^9}, {3.542602893328125*^9, 
  3.54260290375*^9}, {3.54260299190625*^9, 3.542602999203125*^9}, {
  3.542603186625*^9, 3.542603195765625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.3", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fce", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"body", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"fce", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t \>\"", ",", "\"\<f(t)\>\""}], "}"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.54260320084375*^9, 3.542603234734375*^9}, {
  3.54260326865625*^9, 3.54260334384375*^9}, {3.54260338603125*^9, 
  3.542603418484375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["a", "0"], "=", 
   RowBox[{
    FractionBox["1", "T"], 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"fce", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "i_", "]"}], ":=", 
   RowBox[{
    FractionBox["2", "T"], 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"i", "*", 
         FractionBox[
          RowBox[{"2", "*", "Pi", "*", "t"}], "T"]}], "]"}], "*", 
       RowBox[{"fce", "[", "t", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", "i_", "]"}], ":=", 
   RowBox[{
    FractionBox["2", "T"], 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"i", "*", 
         FractionBox[
          RowBox[{"2", "*", "Pi", "*", "t"}], "T"]}], "]"}], "*", 
       RowBox[{"fce", "[", "t", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.542603424453125*^9, 3.542603541515625*^9}, {
  3.542603576046875*^9, 3.542603579328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nmax", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"acka", "=", 
   RowBox[{"a", "/@", 
    RowBox[{"Range", "[", "nmax", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"becka", "=", 
   RowBox[{"b", "/@", 
    RowBox[{"Range", "[", "nmax", "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.542603545234375*^9, 3.542603650796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"nahr", "[", "n_", "]"}], ":=", 
   RowBox[{
    SubscriptBox["a", "0"], "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"acka", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"Cos", "[", 
         RowBox[{"i", "*", 
          FractionBox[
           RowBox[{"2", "*", "Pi", "*", "t"}], "T"]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"becka", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"i", "*", 
          FractionBox[
           RowBox[{"2", "*", "Pi", "*", "t"}], "T"]}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54260367559375*^9, 3.542603759546875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"myNahr", "=", 
       RowBox[{"nahr", "[", "nn", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"myNahr", ",", 
          RowBox[{"fce", "[", "t", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<t \>\"", ",", "\"\<f(t)\>\""}], "}"}]}]}], "]"}]}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "nmax", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.542603761421875*^9, 3.542603762921875*^9}, {
   3.542603801984375*^9, 3.542603839515625*^9}, {3.54260387871875*^9, 
   3.542603935078125*^9}, {3.54260398146875*^9, 3.542603993578125*^9}, 
   3.542604371078125*^9}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Exp", "[", "x", "]"}], "*", 
    RowBox[{"Sin", "[", 
     SuperscriptBox["x", "2"], "]"}]}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5426044106875*^9, 3.542604422671875*^9}}]
},
WindowSize->{1043, 669},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.9000002145767212`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1560, 45, 288, "Input"],
Cell[2108, 67, 1231, 36, 226, "Input"],
Cell[3342, 105, 1353, 44, 213, "Input"],
Cell[4698, 151, 406, 11, 124, "Input"],
Cell[5107, 164, 831, 25, 184, "Input"],
Cell[5941, 191, 1114, 27, 226, "Input"],
Cell[7058, 220, 264, 7, 59, "Input"]
}
]
*)

(* End of internal cache information *)
